
<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="utf-8" />
    <meta name="author" content="Kleber Oliveira - SOMOS PI - WhatsApp: +55 (11) 9.8699-5970">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://fonts.googleapis.com/css?family=Montserrat|Montserrat+Alternates|Montserrat+Subrayada|Ranga&display=swap" rel="stylesheet">
    <meta http-equiv="Content-Security-Policy" content="script-src 'self' https://apis.google.com">
    <title>Consulta de Extrato</title>
</head>

<body>
    <!-- CÓDIGO HTML DO FORMULÁRIO - INÍCIO -->
    <div id="formulario">
        <form action="extrato.php" method="get">
            <input type="text" name="id" placeholder="Digite o ID" maxlength="" required="required" />
            <div class="message"></div>
            <button type="submit"  class="css3button" >ENVIAR</button>
        </form>
    </div>
    <!-- CÓDIGO HTML DO FORMULÁRIO - FIM -->

    <!-- CÓDIGO CSS DO FORMULÁRIO - INÍCIO -->
    <style type="text/css">
        html,
        body {
            margin: 0;
            padding: 0;
            box-sizing: 0;
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            overflow: hidden;
            background: #340168;
            font-family: 'Montserrat Alternates'
        }
        
        img {
            position: absolute;
            padding: 10px;
            top: 0;
            margin: 0 auto 10px;
        }
        
        textarea {
            max-width: 420px;
            width: 100%;
            padding: 10px;
            position: relative;
            top: 30px;
            margin: 0 auto 10px;
            border: none;
            font-size: 20px;
            font-family: 'Montserrat Alternates';
            border-radius: 10px;
            outline: none;
            transition: box-shadow .3s ease -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;
        }
        
        textarea:-ms-input-placeholder {
            color: #1f023c;
        }
        
        textarea::-moz-placeholder {
            color: #1f023c;
        }
        
        textarea::-webkit-input-placeholder {
            color: #1f023c;
        }
        
        textarea:focus {
            2px solid #2d303a91;
        }
        
        textarea:focus,
        textarea:hover {
            box-shadow: 0px 0px 13px 0px #ff0066;
        }
        /* Atributo Required */
        
        textarea:required {
            box-shadow: 4px 4px 20px rgba(200, 0, 0, 0.85);
        }
        
        textarea:required:focus {
            border: 3px solid red;
            outline: none;
        }
        
        textarea:required:hover {
            opacity: 1;
        }
    </style>
    <!-- CÓDIGO CSS DO FORMULÁRIO - FIM -->

    <!-- CÓDIGO CSS DO BOTÃO ENVIAR - INÍCIO -->
    <style>
        button.css3button {
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;
            position: relative;
            top: 25px;
            width: 100%;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 14px;
            color: #ffffff;
            padding: 10px 20px;
            background: -webkit-gradient( linear, left top, left bottom, from(#fff3db), color-stop(0.25, #ffc821), to(#ff3c00));
            background: linear-gradient( top, #fff3db 0%, #ffc821 25%, #ff3c00);
            border-radius: 6px;
            font-weight: bolder;
            border: 1px solid #b85f00;
            box-shadow: 0px 1px 3px rgba(000, 000, 000, 1), inset 0px -1px 0px rgba(255, 255, 255, 1);
            text-shadow: 0px -1px 1px rgba(000, 000, 000, 0.2), 0px 1px 0px rgba(255, 255, 255, 0.3);
        }
        
        button.css3button:hover {
            box-shadow: 1px 2px 3px white;
            font-size: 18px;
            font-weight: bolder;
        }
    </style>
    <!-- CÓDIGO CSS DO BOTÃO ENVIAR - FIM -->

</body>

</html>

